=== debian/control ===
Source: ros-lunar-bondcpp
Section: misc
Priority: extra
Maintainer: Mikael Arguedas <mikael@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-lunar-bond, ros-lunar-catkin, ros-lunar-cmake-modules (>= 0.3.2), ros-lunar-roscpp, ros-lunar-smclib, uuid-dev
Homepage: http://www.ros.org/wiki/bondcpp
Standards-Version: 3.9.2

Package: ros-lunar-bondcpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-lunar-bond, ros-lunar-roscpp, ros-lunar-smclib, uuid-dev
Description: C++ implementation of bond, a mechanism for checking when another process has terminated.
